Topic locked

Unity 5.3.1 P4 (Crashes)

January 24, 2016 - 10:30am #12

Vuforia SDK Version: 5.0.10 -
Description with steps to reproduce:

Unity Editor crashes when ImageTarget prefab was added into the scene.   (Unity 5.3.1 P4 Win32 & Mac OSX)

 

-
Development OS (Mac OS X, Windows, Linux): Windows 8.1, Mac OSX El Capitan -
Mobile OS and Version: ---- -
Mobile Device Manufacturer and Model name: --- -
Do the Vuforia Sample Applications show the same behavior?: Yes

Unity 5.3.1 P4 (Crashes)

January 24, 2016 - 11:14pm #11

Facing the same issue :(

Any leads?

Unity 5.3.1 P4 (Crashes)

January 25, 2016 - 1:42am #10

Hi,

thanks for reporting this; it seems that starting with patch release "p4", Unity 5.3.1 suddenly does not like anymore the call to EditorUtility.UnloadUnusedAssets() from the Editor (which is a bit unexpected, given that the EditorUtility class is an Editor class as the name suggests).

We're looking into this and will report back; for the time being, you can use Unity 5.3.1 p1/p2 or p3.

 

Unity 5.3.1 P4 (Crashes)

January 25, 2016 - 1:45am #9

I moved my project to p4 and I now learn that downgrading Unity version will not be so striaght forward in terms of project migration. Will it be the case with patches too? 

Unity 5.3.1 P4 (Crashes)

January 25, 2016 - 2:28am #8

no, for patches there would be no problem, just close the project and reopen it with 5.1.3 older patch

Unity 5.3.1 P4 (Crashes)

January 25, 2016 - 2:29am #7

I meant "5.3.1", not "5.1.3"...

Unity 5.3.1 P4 (Crashes)

January 25, 2016 - 7:30am #6

Thanks! It worked

Unity 5.3.1 P4 (Crashes)

February 4, 2016 - 6:39am #5

Same crash on 5.3.2f1 

 

Any remedies ? 

Unity 5.3.1 P4 (Crashes)

February 4, 2016 - 7:32am #4

Unity 5.3.1 P4 (Crashes)

February 4, 2016 - 11:10pm #3

Worked like a charm, Thanks a lot :) 

Unity 5.3.1 P4 (Crashes)

February 5, 2016 - 2:51am #2

You're welcome. BTW, this issue should be fixed in the next Vuforia version (hopefully coming son, but no ETA yet).

Unity 5.3.1 P4 (Crashes)

March 10, 2016 - 9:02am #1

UPDATE: Vuforia 5.5.9 has been released and supports Unity 5.3.1, 5.3.2 and 5.3.3:

https://developer.vuforia.com/library/articles/Release_Notes/Vuforia-SDK-Release-Notes

https://developer.vuforia.com/downloads/sdk

Also, make sure to check the Unity Migration Guide before upgrading to Vuforia 5.5:

https://developer.vuforia.com/library/articles/Solution/Migrating-Unity-Projects-to-Vuforia-5-5

Topic locked